Bug 37497 - KSCD can't write to the local DB in a fresh install of RH 7.1
KSCD can't write to the local DB in a fresh install of RH 7.1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdemultimedia (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 22:34 EDT by john
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 22:34:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john 2001-04-24 22:34:30 EDT
KSCD when presented with an unknown disc (and one that isn't in the 
remote CDDB) gives you the option to input the information about the disc 
and either upload or save to the local hard drive the information about 
the CD.
Unfortunately the default permissions on the /usr/share/apps/kscd/cddb/ 
are such that end-users cannot write to that directory. This causes KSCD 
to freak out and complain that it can't write to the directory.
The solution is to have the admin chmod a+w on /usr/share/apps/kscd/cddb/ 
but that shouldn't HAVE to be done...permissions should be correct on 
that directory to begin with.
Please make a note that in the future, the cddb directory tree needs to 
be world-writeable (or at least writeable from the local console!)
Comment 1 Bernhard Rosenkraenzer 2001-04-25 05:24:17 EDT
We can't trade off security for usability.
In a future release, we'll have a tool for setting local security levels; it 
will take care of changing permissions for this directory (and others).
Until then, we won't give a cracker a chance.


Note You need to log in before you can comment on or make changes to this bug.